> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-6/v6-8-5-66225.md).

# Version 6.8.5.66225 Changelog (June 26, 2018)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 6.8.5.66225 Release Date: June 26th, 2018 Built with Xcode 9.4 (9F1027a)

### New

This release includes changes to the open source [Tools (UI) framework](/ios/annotation/overview.md).

* A new drop in component [`PTDocumentViewController`](/ios/basic-operations/open/doc-view.md) that allows you to add a PDF reader/annotator complete with toolbars and settings dialogs. All of the components were available in earlier versions, but are now bundled into one easy to use UIViewController.
* Another new drop in component [`PTTabbedDocumentViewController`](/ios/basic-operations/open/doc-tabbed.md), that displays multiple `PTDocumentViewController`s in tabs.
* Two new properties on [`ToolManager`](https://sdk.apryse.com/api/ios/Classes/PTToolManager.html), [`showMenuOnTap`](https://sdk.apryse.com/api/ios/Classes/PTToolManager.html#/c:objc\(cs\)PTToolManager\(py\)showMenuOnTap) and [`showDefaultSignature`](https://sdk.apryse.com/api/ios/Classes/PTToolManager.html#/c:objc\(cs\)PTToolManager\(py\)showDefaultSignature) allow control over if the popup menu shows when tapping the document, and if the signature tool should offer a default signature option.
* Signature and stamp annotations maintain their aspect ratio when resized.

Shows the `PTTabbedDocumentViewer` in use

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-b3f75e4a88083752cacc7ead7cf63ea3625bd1f2%2F96e3cfd267bd6c461a7e20e1f8b1d65e515dc3dc-284x620.gif?alt=media)

### Breaking Changes

* The API for the [outline](https://sdk.apryse.com/api/ios/Classes/PTOutlineViewController.html)/[bookmark](https://sdk.apryse.com/api/ios/Classes/PTBookmarkViewController.html)/[annotation](https://sdk.apryse.com/api/ios/Classes/PTAnnotationViewController.html) list controls has been improved. A new container class, [`PTNavigationListsViewController`](https://sdk.apryse.com/api/ios/Classes/PTNavigationListsViewController.html), is used to display and switch between them. Example usage can be found in the guides for [Outline](/ios/bookmarks/outline.md), [Bookmark](/ios/bookmarks/user-bookmarks-i.md) and [Annotation](/ios/annotation/annotation-list-i.md) lists.
* For technical reasons the SDK is not distributed with bitcode. Please [contact support](https://apryse.com/form/trial-support) if you require bitcode.

### Bug fixes

* Miscellaneous bug fixes and minor improvements.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/ios/changelogs/version-6/v6-8-5-66225.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
